Bug 242397 - evince wakes up every 2 seconds for no good reason (with patch)
Summary: evince wakes up every 2 seconds for no good reason (with patch)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: wakeup
TreeView+ depends on / blocked
 
Reported: 2007-06-04 01:21 UTC by Arjan van de Ven
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 02:04:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for the behavior (1.65 KB, patch)
2007-06-04 01:21 UTC, Arjan van de Ven
no flags Details | Diff

Description Arjan van de Ven 2007-06-04 01:21:30 UTC
Description of problem:

evince wakes every 2 seconds up to see if ->modified is set, and if so, it saves
the config file. ->modified gets only set in 2 places; and rarely so in practice.

The patch attached just arms the timer only when things actually get modified,
and the timer then only runs 1 time.

Comment 1 Arjan van de Ven 2007-06-04 01:21:30 UTC
Created attachment 156045 [details]
fix for the behavior

Comment 2 Bastien Nocera 2007-06-04 09:14:38 UTC
Filed upstream at:
http://bugzilla.gnome.org/show_bug.cgi?id=443851

Comment 3 Matthias Clasen 2007-07-25 02:04:39 UTC
This is fixed in 0.9.2 in rawhide


Note You need to log in before you can comment on or make changes to this bug.